namespace Syntriax.Engine.Core;

public interface IReadOnlyProgressionTracker
{
    Event<IReadOnlyProgressionTracker, ProgressionUpdatedArguments> OnUpdated { get; }
    Event<IReadOnlyProgressionTracker> OnEnded { get; }

    float Progression { get; }
    string Status { get; }

    readonly record struct ProgressionUpdatedArguments(float PreviousProgression, string PreviousStatus);
}
