namespace Syntriax.Engine.Physics2D;

/// <summary>
/// Represents a 2D physics object's responsive attributes.
/// </summary>
public interface IPhysicsMaterial2D
{
    /// <summary>
    /// The friction coefficient of the physics object.
    /// </summary>
    float Friction { get; }

    /// <summary>
    /// The restitution (bounciness) coefficient of the physics object.
    /// </summary>
    float Restitution { get; }
}
