using Syntriax.Engine.Core;

namespace Syntriax.Engine.Physics2D;

public readonly struct RaycastResult(Ray2D ray, ICollider2D collider2D, Vector2D position, Vector2D normal)
{
    public readonly Ray2D Ray = ray;

    public readonly Vector2D Position = position;
    public readonly Vector2D Normal = normal;

    public readonly ICollider2D Collider2D = collider2D;
    public readonly RigidBody2D? RigidBody2D = collider2D.BehaviourController.GetBehaviourInParent<RigidBody2D>();
}
